| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiHistoAlg Class Reference

`#include <GaudiAlg/GaudiHistoAlg.h>`

Inheritance diagram for GaudiHistoAlg:

[legend]
Collaboration diagram for GaudiHistoAlg:

[legend]
List of all members.

## Detailed Description

Simple class to extend the functionality of class GaudiAlgorithm.

Class is instrumented with a selection of plotting functions for easy creation of histograms.

Attention:
  See the class GaudiHistos, which implements the common functionality between GaudiHistoTool and GaudiHistoAlg

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

  Chris Jones Christopher.Rob.Jones@cern.ch

Date:
  2003-12-11

Definition at line 38 of file GaudiHistoAlg.h.

## Protected Member Functions
| GaudiHistoAlg (const std::string &name, ISvcLocator *pSvc)
| Standard constructor (protected).
virtual | ~GaudiHistoAlg ()
| virtual destructor
virtual StatusCode | initialize ()
| standard initialization method
virtual StatusCode | finalize ()
| standard finalization method
## Private Member Functions
| GaudiHistoAlg ()
| GaudiHistoAlg (const GaudiHistoAlg &)
GaudiHistoAlg & | operator= (const GaudiHistoAlg &)

## Constructor & Destructor Documentation

GaudiHistoAlg::GaudiHistoAlg | ( | const std::string & | name,
|  | ISvcLocator * | pSvc |
| ) |  |  | `[protected]`

Standard constructor (protected).

See also:
  GaudiAlgorithm

  Algorithm

Parameters:

  | name | name of the algorithm
  | pSvcLocator | poinetr to Service Locator

Definition at line 43 of file GaudiHistoAlg.cpp.

    00045   : GaudiHistos<GaudiAlgorithm> ( name , pSvc ) { }

GaudiHistoAlg::~GaudiHistoAlg | ( |  | ) | `[protected, virtual]`

virtual destructor

Definition at line 51 of file GaudiHistoAlg.cpp.

    00051 { }

GaudiHistoAlg::GaudiHistoAlg | ( |  | ) | `[private]`

GaudiHistoAlg::GaudiHistoAlg | ( | const GaudiHistoAlg & |  | ) | `[private]`

## Member Function Documentation

StatusCode GaudiHistoAlg::initialize | ( |  | ) | `[protected, virtual]`

standard initialization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiHistos< GaudiAlgorithm >.

Reimplemented in GaudiTupleAlg, and GaudiTuples< GaudiHistoAlg >.

Definition at line 57 of file GaudiHistoAlg.cpp.

References GaudiHistos< PBASE >::initialize().

    00058 {
    00059   // initialize the base class and return
    00060   return GaudiHistos<GaudiAlgorithm>::initialize();
    00061 }

StatusCode GaudiHistoAlg::finalize | ( |  | ) | `[protected, virtual]`

standard finalization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiHistos< GaudiAlgorithm >.

Reimplemented in GaudiTupleAlg, and GaudiTuples< GaudiHistoAlg >.

Definition at line 67 of file GaudiHistoAlg.cpp.

References GaudiHistos< PBASE >::finalize().

    00068 {
    00069   // finalize the base class and return
    00070   return GaudiHistos<GaudiAlgorithm>::finalize();
    00071 }

GaudiHistoAlg& GaudiHistoAlg::operator= | ( | const GaudiHistoAlg & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/GaudiHistoAlg.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/GaudiHistoAlg.cpp